local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireBoolean = ____shouldFire.shouldFireBoolean
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostGameEndFilter = __TS__Class()
local PostGameEndFilter = ____exports.PostGameEndFilter
PostGameEndFilter.name = "PostGameEndFilter"
__TS__ClassExtends(PostGameEndFilter, CustomCallback)
function PostGameEndFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireBoolean
    self.postGameEnd = function(____, isGameOver)
        self:fire(isGameOver)
    end
    self.callbacksUsed = {{ModCallback.POST_GAME_END, self.postGameEnd}}
end
return ____exports
